#include "menu.h"

cSetupMenuOsdReader::cSetupMenuOsdReader()
{
  static const char allowed_voice_chars[] = { "abcdefghijklmnopqrstuvwxyz0123456789-_" };

  Add(new cMenuEditBoolItem( tr("Setup.AudiFeedBack$Plugin active"), &OsdReaderSetup.active, trVDR("no"), trVDR("yes")));
  Add(new cMenuEditStrItem ( tr("Setup.OsdReader$Voice"), 	     OsdReaderSetup.voice, sizeof(OsdReaderSetup.voice), allowed_voice_chars));
  Add(new cMenuEditIntItem ( tr("Setup.OsdReader$Voice speed"),  &OsdReaderSetup.speed, OsdReaderSetup.speed_min,OsdReaderSetup.speed_max));
  Add(new cMenuEditIntItem ( tr("Setup.OsdReader$Voice volume"), &OsdReaderSetup.volume, OsdReaderSetup.volume_min,OsdReaderSetup.volume_max));
  Add(new cMenuEditBoolItem( tr("Setup.OsdReader$Tell channel"), &OsdReaderSetup.say_channel, trVDR("no"), trVDR("yes")));
  Add(new cMenuEditBoolItem( tr("Setup.OsdReader$Tell info"),    &OsdReaderSetup.say_info, trVDR("no"), trVDR("yes")));
  Add(new cMenuEditBoolItem( tr("Setup.OsdReader$Tell menu"),    &OsdReaderSetup.say_menu, trVDR("no"), trVDR("yes")));
}

void cSetupMenuOsdReader::Store()
{
  SetupStore("active",        OsdReaderSetup.active);
  SetupStore("speed",         OsdReaderSetup.speed);
  SetupStore("volume",        OsdReaderSetup.volume);
  SetupStore("voice",         OsdReaderSetup.voice);
  SetupStore("say_channel",   OsdReaderSetup.say_channel);
  SetupStore("say_info",      OsdReaderSetup.say_info);
  SetupStore("say_menu",      OsdReaderSetup.say_menu);
}
