#include <string.h>
#include <stdlib.h>
#include "setup.h"

cOsdReaderSetup OsdReaderSetup;

// Some Limits and defaults
const int cOsdReaderSetup::speed_min = 1; // 80 words per secon
const int cOsdReaderSetup::speed_max = 10; // 390 words per second
const int cOsdReaderSetup::speed_default = 3; // 80 + (3 * 31) = 173 words per second
const int cOsdReaderSetup::volume_min = 0; // espeak amplitude 0
const int cOsdReaderSetup::volume_max = 10; // espeak amplitude 200
const int cOsdReaderSetup::volume_default = 5; // espeak amplitude 100

cOsdReaderSetup::cOsdReaderSetup(void) {
  active = true;
  speed = speed_default;
  volume = volume_default;
  strcpy( voice, "default");
  say_channel = true;
  say_info = true;
  say_menu = true;
}

cOsdReaderSetup::~cOsdReaderSetup(void)
{
}
