#ifndef _OSDREADER_SETUP_H_
#define _OSDREADER_SETUP_H_

#include <string>

class cOsdReaderSetup {
public:
  // Some limits and defaults
  static const int speed_min;
  static const int speed_max;
  static const int speed_default;
  static const int volume_min;
  static const int volume_max;
  static const int volume_default;
   
  // general feature
  int active;
  int speed;
  int volume;   
  char voice[64]; 
  int say_channel;
  int say_info;
  int say_menu;

  cOsdReaderSetup(void);
  virtual ~cOsdReaderSetup(void);
};

extern cOsdReaderSetup OsdReaderSetup;

#endif
